Bug 106051 - Update: www/mod_perl2 2.0.2 -> 2.0.3
Summary: Update: www/mod_perl2 2.0.2 -> 2.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-30 10:20 UTC by Philip M. Gollucci
Modified: 2006-12-06 14:50 UTC (History)
0 users

See Also:


Attachments
file.diff (299 bytes, patch)
2006-11-30 10:20 UTC, Philip M. Gollucci
no flags Details | Diff
file.diff (2.56 KB, patch)
2006-11-30 10:20 UTC, Philip M. Gollucci
no flags Details | Diff
mp.diff (1.90 KB, patch)
2006-12-03 13:03 UTC, Philip.Gollucci
no flags Details | Diff
mp.diff (1.04 KB, patch)
2006-12-02 12:18 UTC, Philip M. Gollucci
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philip M. Gollucci 2006-11-30 10:20:03 UTC
We just released 2.0.3.  This updates to it.

I reformatted the MAN3 because I had to add Apache2::ConnectionUtil.3
and would have had to re-ident everyline anyway.  This will make future diffs
easier also (fyi, I expect 2.0.5 to have several additions here and 2.0.4 a couple)

%%THREADMUTEX%%%%SITE_PERL%%/%%PERL_ARCH%%/auto/APR/ThreadMutex/ThreadMutex.so
%%THREADMUTEX%%%%SITE_PERL%%/%%PERL_ARCH%%/auto/APR/ThreadMutex/ThreadMutex.bs

Are actually out of order alphabetically, but I left them as is. I'd think it would be better to reverse them so future "auto pkg-list" will have a slightly smaller diff.

Fix: PORTNAME=      mod_perl
-PORTVERSION=   2.0.2
-PORTREVISION=  1
-PORTEPOCH=     3
+PORTVERSION=   2.0.3
 CATEGORIES=    www perl5
 MASTER_SITES=  http://perl.apache.org/dist/ \
                http://perl.apache.org/dist/old/
@@ -29,35 +27,92 @@
 # use paths returned by apxs to install some components. Fixes welcome.
 CONFIGURE_ARGS=        MP_APXS=${LOCALBASE}/sbin/apxs PREFIX=${PREFIX}

-MAN3=          APR.3 APR::Base64.3 APR::Brigade.3 APR::Bucket.3 \
-               APR::BucketAlloc.3 APR::BucketType.3 APR::Const.3 \
-               APR::Date.3 APR::Error.3 APR::Finfo.3 APR::IpSubnet.3 \
-               APR::OS.3 APR::PerlIO.3 APR::Pool.3 APR::SockAddr.3 \
-               APR::Socket.3 APR::Status.3 APR::String.3 APR::Table.3 \
-               APR::ThreadMutex.3 APR::URI.3 APR::UUID.3 APR::Util.3 \
-               Apache2::Access.3 Apache2::Build.3 Apache2::CmdParms.3 \
-               Apache2::Command.3 Apache2::Connection.3 Apache2::Const.3 \
-               Apache2::Directive.3 Apache2::Filter.3 Apache2::FilterRec.3 \
-               Apache2::HookRun.3 Apache2::Log.3 Apache2::MPM.3 \
-               Apache2::Module.3 Apache2::PerlSections.3 Apache2::Process.3 \
-               Apache2::Reload.3 Apache2::RequestIO.3 Apache2::RequestRec.3 \
-               Apache2::RequestUtil.3 Apache2::Resource.3 \
-               Apache2::Response.3 Apache2::ServerRec.3 \
-               Apache2::ServerUtil.3 Apache2::SizeLimit.3 Apache2::Status.3 \
-               Apache2::SubProcess.3 Apache2::SubRequest.3 Apache2::URI.3 \
-               Apache2::Util.3 Apache2::compat.3 Apache2::porting.3 \
-               Apache::Test.3 Apache::TestConfig.3 Apache::TestMB.3 \
-               Apache::TestMM.3 Apache::TestReport.3 Apache::TestRequest.3 \
-               Apache::TestRun.3 Apache::TestRunPHP.3 Apache::TestRunPerl.3 \
-               Apache::TestSmoke.3 Apache::TestTrace.3 Apache::TestUtil.3 \
-               Bundle::Apache2.3 Bundle::ApacheTest.3 ModPerl::BuildMM.3 \
-               ModPerl::CScan.3 ModPerl::Code.3 ModPerl::Config.3 \
-               ModPerl::Const.3 ModPerl::Global.3 ModPerl::MM.3 \
-               ModPerl::MethodLookup.3 ModPerl::PerlRun.3 \
-               ModPerl::PerlRunPrefork.3 ModPerl::Registry.3 \
-               ModPerl::RegistryBB.3 ModPerl::RegistryCooker.3 \
-               ModPerl::RegistryLoader.3 ModPerl::RegistryPrefork.3 \
-               ModPerl::Util.3 mod_perl2.3
+MAN3=  APR.3 \
+       APR::Base64.3 \
+       APR::Brigade.3 \
+       APR::Bucket.3 \
+       APR::BucketAlloc.3 \
+       APR::BucketType.3 \
+       APR::Const.3 \
+       APR::Date.3 \
+       APR::Error.3 \
+       APR::Finfo.3 \
+       APR::IpSubnet.3 \
+       APR::OS.3 \
+       APR::PerlIO.3 \
+       APR::Pool.3 \
+       APR::SockAddr.3 \
+       APR::Socket.3 \
+       APR::Status.3 \
+       APR::String.3 \
+       APR::Table.3 \
+       APR::ThreadMutex.3 \
+       APR::URI.3 \
+       APR::UUID.3 \
+       APR::Util.3 \
+       Apache2::Access.3 \
+       Apache2::Build.3 \
+       Apache2::CmdParms.3 \
+       Apache2::Command.3 \
+       Apache2::Connection.3 \
+       Apache2::ConnectionUtil.3 \
+       Apache2::Const.3 \
+       Apache2::Directive.3 \
+       Apache2::Filter.3 \
+       Apache2::FilterRec.3 \
+       Apache2::HookRun.3 \
+       Apache2::Log.3 \
+       Apache2::MPM.3 \
+       Apache2::Module.3 \
+       Apache2::PerlSections.3 \
+       Apache2::Process.3 \
+       Apache2::Reload.3 \
+       Apache2::RequestIO.3 \
+       Apache2::RequestRec.3 \
+       Apache2::RequestUtil.3 \
+       Apache2::Resource.3 \
+       Apache2::Response.3 \
+       Apache2::ServerRec.3 \
+       Apache2::ServerUtil.3 \
+       Apache2::SizeLimit.3 \
+       Apache2::Status.3 \
+       Apache2::SubProcess.3 \
+       Apache2::SubRequest.3 \
+       Apache2::URI.3 \
+       Apache2::Util.3 \
+       Apache2::compat.3 \
+       Apache2::porting.3 \
+       Apache::Test.3 \
+       Apache::TestConfig.3 \
+       Apache::TestMB.3 \
+       Apache::TestMM.3 \
+       Apache::TestReport.3 \
+       Apache::TestRequest.3 \
+       Apache::TestRun.3 \
+       Apache::TestRunPHP.3 \
+       Apache::TestRunPerl.3 \
+       Apache::TestSmoke.3 \
+       Apache::TestTrace.3 \
+       Apache::TestUtil.3 \
+       Bundle::Apache2.3 \
+       Bundle::ApacheTest.3 \
+       ModPerl::BuildMM.3 \
+       ModPerl::CScan.3 \
+       ModPerl::Code.3 \
+       ModPerl::Config.3 \
+       ModPerl::Const.3 \
+       ModPerl::Global.3 \
+       ModPerl::MM.3 \
+       ModPerl::MethodLookup.3 \
+       ModPerl::PerlRun.3 \
+       ModPerl::PerlRunPrefork.3 \
+       ModPerl::Registry.3 \
+       ModPerl::RegistryBB.3 \
+       ModPerl::RegistryCooker.3 \
+       ModPerl::RegistryLoader.3 \
+       ModPerl::RegistryPrefork.3 \
+       ModPerl::Util.3 \
+       mod_perl2.3

 .include <bsd.port.pre.mk>
Comment 1 Edwin Groothuis freebsd_committer 2006-11-30 10:20:22 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 lars.eggert 2006-11-30 16:42:18 UTC
On Nov 30, 2006, at 2:20, Edwin Groothuis wrote:
> Please note that PR ports/106051 has just been submitted.

Update looks straightforward, should be good to commit. (I haven't  
tested it.)

Philip, are you interested in taking over maintainership of this  
port? These days, I have few cycles for port maintenance.

Lars
Comment 3 Edwin Groothuis freebsd_committer 2006-11-30 20:31:57 UTC
State Changed
From-To: feedback->open

maintainer approved.
Comment 4 Martin Wilke freebsd_committer 2006-11-30 20:51:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 5 dfilter service freebsd_committer 2006-12-02 00:33:05 UTC
miwi        2006-12-02 00:33:01 UTC

  FreeBSD ports repository

  Modified files:
    www/mod_perl2        Makefile distinfo pkg-plist 
  Log:
  - Update to 2.0.3
  
  PR:             ports/106051
  Submitted by:   Philip M. Gollucci <pgollucci@apache.org>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.54      +2 -3      ports/www/mod_perl2/Makefile
  1.28      +3 -3      ports/www/mod_perl2/distinfo
  1.32      +5 -0      ports/www/mod_perl2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Martin Wilke freebsd_committer 2006-12-02 00:33:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 7 Philip M. Gollucci 2006-12-02 01:08:51 UTC
I accepted Lars's offer to take maintainership.

Please update the maintainer to me.

Thank you!

-- 
------------------------------------------------------------------------
Philip M. Gollucci (pgollucci@p6m7g8.com) 323.219.4708
Consultant / http://p6m7g8.net/Resume/resume.shtml
Senior Software Engineer - TicketMaster - http://ticketmaster.com
1024D/A79997FA F357 0FDD 2301 6296 690F  6A47 D55A 7172 A799 97F

I never had a dream come true
'Til the day that I found you.
Even though I pretend that I've moved on
You'll always be my baby.
I never found the words to say
You're the one I think about each day
And I know no matter where life takes me to
A part of me will always be...
A part of me will always be with you.
Comment 8 Philip M. Gollucci 2006-12-02 12:18:28 UTC
Hi,

I definitely test with apache22 and am far more inclined to do so then 
with apache20 -- but more then willing to do both.

http://p6m7g8.net and all its vhosts are running a threaded and 
ithreaded port based FAMP stack using:

pgollucci@vegeta.p6m7g8.net /var/db/pkg 8 0>ls -1d perl* apache* mod_* 
p5-Apache* subv*
apache-event-2.2.3/
mod_log_sql-1.100/
mod_perl2-2.0.2,3/
mod_python-3.2.10/
mod_ruby-1.2.5_1/
p5-Apache-DBI-1.02/
p5-Apache-Session-1.81/
p5-libapreq2-2.08/
perl-threaded-5.8.8/
subversion-1.4.0_1/

Diff attached to remove the pre-everything warning.



-- 
------------------------------------------------------------------------
Philip M. Gollucci (pgollucci@p6m7g8.com) 323.219.4708
Consultant / http://p6m7g8.net/Resume/resume.shtml
Senior Software Engineer - TicketMaster - http://ticketmaster.com
1024D/EC88A0BF 0DE5 C55C 6BF3 B235 2DAB  B89E 1324 9B4F EC88 A0BF

I never had a dream come true
'Til the day that I found you.
Even though I pretend that I've moved on
You'll always be my baby.
I never found the words to say
You're the one I think about each day
And I know no matter where life takes me to
A part of me will always be...
A part of me will always be with you.
Comment 9 Philip.Gollucci 2006-12-03 13:03:28 UTC
Hi All,

An official reply to the bug.

1) Removes PORTECPOCH
	Please explain why if you want to keep this.

bsd.port.mk
# PORTEPOCH     - Optional.  In certain odd cases, the PORTREVISION
#		  logic can be fooled by ports that appear to go
#		  backwards numerically (e.g. if port-0.3 is newer than
#		  port-1998). In this case, incrementing PORTEPOCH 	
#		  forces the revision. Default: 0 (no effect).
I don't see how 2.0.2(.*) is > 2.0.3(.*)


2) Sets me as maintainer (previous maintainer okayed and CC'ed here)
3) Fixes the -march= nothing which is not 2.0.3 specific.
4) Removes the pre-everthing warning for www/apache22 since I will be
	testing with all apache port versions.


Thanks All.

Hope this helps.

-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip.gollucci@ticketmaster.com) 323.219.4708
Senior Software Engineer - TicketMaster - http://ticketmaster.com
1024D/A79997FA F357 0FDD 2301 6296 690F  6A47 D55A 7172 A799 97F
Comment 10 Lars Eggert 2006-12-03 16:35:26 UTC
On Dec 3, 2006, at 5:25, Martin Wilke wrote:
>> An official reply to the bug.
>>
>> 1) Removes PORTECPOCH
>> 	Please explain why if you want to keep this.
>> I don't see how 2.0.2(.*) is > 2.0.3(.*)

PORTEPOCH can never go backwards or away. This was added because the  
mod_perl beta numbering scheme wasn't conformant with FreeBSD's  
version numbers. Check the commit history.

>> 2) Sets me as maintainer (previous maintainer okayed and CC'ed here)
>> 3) Fixes the -march= nothing which is not 2.0.3 specific.
>> 4) Removes the pre-everthing warning for www/apache22 since I will be
>> 	testing with all apache port versions.

Rest is approved. Thanks for taking over!

Lars